# Task Management System

## Описание проекта

Цель данного проекта - создание RESTful веб-приложения “Task Management System” для управления задачами с использованием Spring Boot. Приложение предоставляет API для выполнения основных операций по управлению задачами, включая добавление, редактирование, удаление и получение списка задач. Это приложение использует H2 Database для хранения данных.

## Технологический стек

 Язык программирования: Java
 Фреймворк: Spring Boot
 Базы данных: H2 Database
 Другие зависимости: 
   Spring Web
   Spring Data JPA

## Установка и запуск проекта

### Шаги по созданию проекта

1. Создание проекта с помощью Spring Initializr:
     Откройте [Spring Initializr](https://start.spring.io).
     Выберите следующие параметры:
      Project: Maven
      Language: Java
      Spring Boot version: последняя стабильная версия.
      Dependencies: Spring Web, Spring Data JPA, H2 Database.
    Скачайте и импортируйте проект в вашу IDE (рекомендуется использовать IntelliJ IDEA, VSCode или Eclipse).

2. Импортируйте проект в вашу IDE:
     Важно убедиться, что все зависимости загружены и проект скомпилирован без ошибок.

### Запуск приложения

1. Запустите приложение:
   Откройте класс TaskManagementSystemApplication и запустите его


### Проверка работы:
   Откройте браузер и перейдите по адресу http://localhost:8080. Вы можете использовать инструменты как Postman для взаимодействия с REST API.

## Тестирование базы данных

Запустите H2 Console для проверки базы данных:

1. Откройте H2 Console:
   - Перейдите по адресу http://localhost:8080/h2-console.

2. Ввод данных для доступа:
   Вам будет предложено ввести следующие параметры подключения:
          JDBC URL: jdbc:h2:mem:taskdb      
	  User Name: sa      
	  Password: password     



![MVN install](https://www.dropbox.com/scl/fi/r1mqf4iugndit0dwqruoe/__mvn-download.png?rlkey=69wbx9z1bj19z7y8jb62qdd4z&st=114gegis&dl=0)

![Taskmanagment code](https://www.dropbox.com/scl/fi/qwump1nfd3kjcttaq75ms/__taskmanagment.png?rlkey=h7hf3ts41dn41dp3turuy1n1z&st=6p1gysgx&dl=0)


